export declare enum AuthorisationScopes {
    PlaylistReadPrivate = "playlist-read-private",
    PlaylistModifyPrivate = "playlist-modify-private",
    PlaylistModifyPublic = "playlist-modify-public",
    PlaylistReadCollaborative = "playlist-read-collaborative",
    UserModifyPlaybackState = "user-modify-playback-state",
    UserReadCurrentlyPlaying = "user-read-currently-playing",
    UserReadPlaybackState = "user-read-playback-state",
    UserTopRead = "user-top-read",
    UserReadRecentlyPlayed = "user-read-recently-played",
    AppRemoteControle = "app-remote-control",
    Streaming = "streaming",
    UserReadBirthday = "user-read-birthdate",
    UserReadEmail = "user-read-email",
    UserReadPrivate = "user-read-private",
    UserFollowRead = "user-follow-read",
    UserFollowModify = "user-follow-modify",
    UserLibraryModify = "user-library-modify",
    UserLibraryRead = "user-library-read"
}
export interface ApplicationCredentials {
    clientId: string;
    clientSecret: string;
    redirectUri: string;
}
export interface AccessToken {
    access_token: string;
    token_type: string;
    scope: string;
    expires_in: number;
    refresh_token: string;
}
