"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var AuthorisationScopes;
(function (AuthorisationScopes) {
    // Playlist Scopes
    AuthorisationScopes["PlaylistReadPrivate"] = "playlist-read-private";
    AuthorisationScopes["PlaylistModifyPrivate"] = "playlist-modify-private";
    AuthorisationScopes["PlaylistModifyPublic"] = "playlist-modify-public";
    AuthorisationScopes["PlaylistReadCollaborative"] = "playlist-read-collaborative";
    // Spotify Connect scopes 
    AuthorisationScopes["UserModifyPlaybackState"] = "user-modify-playback-state";
    AuthorisationScopes["UserReadCurrentlyPlaying"] = "user-read-currently-playing";
    AuthorisationScopes["UserReadPlaybackState"] = "user-read-playback-state";
    // Listening History scopes
    AuthorisationScopes["UserTopRead"] = "user-top-read";
    AuthorisationScopes["UserReadRecentlyPlayed"] = "user-read-recently-played";
    //Playback scopes
    AuthorisationScopes["AppRemoteControle"] = "app-remote-control";
    AuthorisationScopes["Streaming"] = "streaming";
    // User
    AuthorisationScopes["UserReadBirthday"] = "user-read-birthdate";
    AuthorisationScopes["UserReadEmail"] = "user-read-email";
    AuthorisationScopes["UserReadPrivate"] = "user-read-private";
    //Follow
    AuthorisationScopes["UserFollowRead"] = "user-follow-read";
    AuthorisationScopes["UserFollowModify"] = "user-follow-modify";
    //Library
    AuthorisationScopes["UserLibraryModify"] = "user-library-modify";
    AuthorisationScopes["UserLibraryRead"] = "user-library-read";
})(AuthorisationScopes = exports.AuthorisationScopes || (exports.AuthorisationScopes = {}));
